<?php
namespace nur\data\types\impl;

use nur\data\types\AbstractCompositeType;
use nur\data\types\RegexpType;

class CSsType extends AbstractCompositeType {
  const COMPONENTS = [
    "s1" => [[RegexpType::class],
      "pattern" => '/aa|bx{1,3}/',
    ],
    "s2" => [["string"],
      "allow_parse_empty" => true,
    ],
  ];
}
